[File mirobridge-example.conf]
#-------------------------------------
# Name: mirobridge-example.conf
# Project: mirobridge
# Configuration file
# Author: 	R.D. Vaughan
# Version: 0.1.0 - Initial alpha release
# Version: 0.2.0 - Beta release
#
# License:Creative Commons GNU GPL v2
# (http://creativecommons.org/licenses/GPL/2.0/)
#----------------------------------------------------------------------------------------------------
# This config file contains settings will change the default behavior of mirobridge.py
# Copy this example file to the PC on which you will be running mirobridge.py and place into the
# directory "/.../.../.mythtv" and rename it to "mirobridge.conf". Mirobridge will automatically
# use the file if it exists. For most users the directory will be located at "~/.mythtv"
#----------------------------------------------------------------------------------------------------
#
# START  variables section ------------------------------------------------------------------------
[variables]
# 'filename_char_filter' sanitise file names (video and images) to the POSIX standard which does not allow
#			"/" or null. When an invalid character is found an underscore "_" is used in its place. People
#           that use a Windows file system for video and/or images require additional characters to be filtered.
#           This variable allows a user to add additional file name filter characters ALL of which will be
#           turned into underscores "_".
# NOTE: the "%" character is also filtered as it is a string format character in python.
# NOTE: Invalid MS-Windows file system characters are: \/:*?"<>|
#       The forward slash '/' is already a default.
# NOTE: Do not put spaces between the chracters or quotes around the chracters.
# Default: /%\000		The last \000 is the representation of a null character
# (Options) characters that will be added to the Default filter characters.
#filename_char_filter: \:*?"<>|

# END  variables section---------------------------------------------------------------------

# START  icon_override section ------------------------------------------------------------------------
# Normally the Miro Channel icon is used as cover art in MythVideo but sometimes the Miro video's icon
# is better. Specifically movie trailers fall into this category as the icons with some feeds items
# are the movie's poster. To override the default and have mirobridge use the item's icon you
# need to have the Miro channel name specified. See the example "Timo's HD Movie Trailers" below. To
# activate the Timo example remove the leading '#' sign. To add more channels the format is always
# channel title as specified in Miro (or what you renamed it to in Miro) ending with a ':'
# Each Channel requires its own line, you cannot have multiple Channels per line.
# NOTE: It is only rarely that you want to use this feature as in most cases the the Miro video's icon
#       is a video screenshot and makes for a very poor coverart.
# NOTE: This only effects the Miro videos in MythVideo the "Watch Recordings" screen will always use
#       the channel icon as it's cover art.
# NOTE: Do not surround any Channel name with quotes even if it contains spaces.
#       e.g. the Channel name "Timo's HD Movie Trailers" is expressed as value: Timo's HD Movie Trailers
#
[icon_override]
Timo's HD Movie Trailers:
Latest Movie Trailers:
Linux Journal:
#The Next Channel Title:

# END  icon_override section---------------------------------------------------------------------


# START  Watch-then-copy section ----------------------------------------------------------------
# The default action is that all Miro videos that have been marked as Watched within MythTV are
# moved to MythVideo and only removed after the expiry date specified in Miro (x number of days).
# With some of the channels you may want to keep the videos after they are watch from the MythTV
# "Watch Recordings" screen. Any Channel identified in this section once downloaded through Miro
# will become visible in MythTV's Watch Recordinings screen. Once the video is watched it will be
# physically copied from Miro into the specified MythVideo directory. This includes any icons and
# screenshots, with the metadata being added to the MythVideo data base table "videometadata".
# Once successfully copied the video it will be removed from Miro and the Miro video directory.
# The specific advantage of the "watch-then-copy" method over "mythvideo_only" configuration
# seen in the next section, is that the Watch Recording screen acts as a place you can quickly
# identify any newly downloaded videos. You do not have to manually check "what's new"
# in a MythVideo directory that may have many existing videos.
# If you want ALL Miro Channels use the "watch-then-copy" method then use the (-N) command line
# option OR the channel name "all miro channels". Any other channel names in this section will be
# ignored. With the command line (-N) option all files will be copied into the Miro subdirectory of
# MythVideo.
# To activate the "Timo's" example remove the leading '#' sign.
# To add more channels the format is always channel title and a ":" then the directory to
# copy the file into.
# All copied files will be renamed to the format "channel title - item title"
# (e.g. "Linux Journal - More on kill and pkill")
# Each Channel requires its own line, you cannot have multiple Channels per line.
# NOTE: Do not surround any Channel name or directory path with quotes even if it contains spaces.
#       e.g. the Channel name "/media/video/Timo trailers" is expressed
#            as value: /media/video/Timo trailers
# NOTE: By default a subdirectory with the Channel's name will be created.
#       In the "Timo" example below a video would be copied to the directory path
#       "/media/video/trailers/Timo's HD Movie Trailers"
#       This behavior can be suppressed with the mirobridge.py command line option "-o".
#
[watch_then_copy]
#Timo's HD Movie Trailers: /media/video/Miro/Trailers
#HD-Trailers.net Blog: /media/video/Miro/Trailers
#all miro channels: /media/video/Miro

# END     Watch-then-copy section  ---------------------------------------------------------------


# START  mythvideo-only section ------------------------------------------------------------------
# The default action is that all newly downloaded Miro videos are added to the
# MythTV "Watch Reordings" screen. This section allows the user to have some or all videos copied
# directly to MythVideo. Once copied the video will be deleted from Miro. To specify that one or
# more Miro Channels which get copied directly to MythVideo add the channel title and a ":" then the
# directory to copy the file into. The target directory must be within the directory structure
# of MythVideo. Any subdirectories above the MythVideo base path will be created if they do
# not exist.
# If you want ALL Miro Channels to go directly to MythVideo then use the (-M) command line
# option OR the channel name "all miro channels" and any other channel names will be ignored.
# To activate the "Timo" example remove the leading '#' sign. With the command line (-N) option
# all files will be copied into the Miro subdirectory of MythVideo.
# To add more channels the format is always channel title and a ":" then the directory to
# copy the file into.
# All copied files will be renamed to the format "channel title - item title"
# (e.g. "Linux Journal - More on kill and pkill")
# Each Channel requires its own line, you cannot have multiple Channels per line.
# NOTE: Do not surround any Channel name or directory path with quotes even if it contains spaces.
#       e.g. the Channel name "/media/video/Timo trailers" is expressed
#            as value: /media/video/Timo trailers
# NOTE: By default a subdirectory with the Channel's name will be created.
#       In the "Timo" example below a video would be copied to the directory path
#       "/media/video/trailers/Timo's HD Movie Trailers"
#       This behavior can be suppressed with the mirobridge.py command line option "-o".
#
[mythvideo_only]
#Timo's HD Movie Trailers: /media/video/trailers
#The Best of Link TV: /media/video/The Best of Link TV
#all miro channels: /media/video/Miro

# END  mythvideo-only section------------------------------------------------------------------------


# START  Watch recordings only section ----------------------------------------------------------------
# The default action is that all Miro videos that have been marked as Watched within MythTV are
# moved to MythVideo and only removed after the expiry date specified in Miro (x number of days).
#
# Some of the channels you subscribe to may be watch and forget and you really do not want those
# videos moved to MythVideo. This section allow you to specify ALL or one or several Channels that you
# do not want moved to MythVideo after being watched. The videos from these type of channels
# will be marked as "watched" in Miro and be expired (removed) per Miro's own settings. They are not
# actually deleted but are made invisible to MythTV.
#
# If you want ALL Miro Channels to NEVER to go to MythVideo then use the (-W) command line option OR
# use the channel name "all miro channels" and any other channel names in this section will be ignored.
# To activate the "Onion News" example remove the leading '#' sign.
# To add more channels the format is always channel title then a ":"
# Each Channel requires its own line, you cannot have multiple Channels per line.
# NOTE: Do not surround any Channel name with quotes even if it contains spaces.
#       e.g. the Channel name "Onion News Network" is expressed as value: Onion News Network
# NOTE: If you use the options to move all Miro videos directly to MythVideo the "watch_only" is
#       irrelevant and will not have any effect on mirobridge.py processing.
#
[watch_only]
#Onion News Network:
#NOVA Vodcast PBS:
#Rolling Stone's  At the Movies with Peter Travers:
#Latest Movie Trailers:
#Tekzilla HD:
#all miro channels:

# END   Watch recordings only section ---------------------------------------------------------------
